### Property

# Foundry GitCommitBuilder:staged

#### Declaration

    property staged: Gio.ListModel [ read ]

#### Description [src]

A list model containing all files that are currently staged for commit.

The list model contains `FoundryGitStatusEntry` objects representing files in the working tree that have been staged. The list is updated automatically as files are staged or unstaged.

Type:`GListModel`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no